# Contributing to wifiscanner

## How to contribute

If you'd like to contribute, start by searching through the [issues](https://github.com/github/opensource.guide/issues) and [pull requests](https://github.com/github/opensource.guide/pulls) to see whether someone else has raised a similar idea or question.

If you don't see your idea listed, and you think it fits into the goals of this guide, do one of the following:

* **If your contribution is minor,** such as a typo fix, open a pull request.
* **If your contribution is major,** such as a new feature or bug fix, start by opening an issue first. That way, other people can weigh in on the discussion before you do any work.

If you want mentoring on an issue please ask, we'll assign someone to work with you.

## Submitting your contribution

- Work on the feature or bug (with tests if possible)
- Run `make checks` if there's no problems raise the PR and reference the issue that initated the work carried out
- Once the PR passes checks and review we'll merge the PR

## Setting up your environment

- Install Rust and friends using [rustup](https://rustup.rs) 
- If you don't have a preferred editor, [VS Code](https://code.visualstudio.com) with the [RLS](https://marketplace.visualstudio.com/items?itemName=rust-lang.rust) extension are an awesome combo